Bug 213889 - net/openntpd: fails to build with DEFAULT_VERSIONS=ssl=openssl
Summary: net/openntpd: fails to build with DEFAULT_VERSIONS=ssl=openssl
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: patch, regression
Depends on: 213890
Blocks: 213691
  Show dependency treegraph
 
Reported: 2016-10-29 16:20 UTC by Jan Beich
Modified: 2016-11-02 07:17 UTC (History)
2 users (show)

See Also:
jbeich: merge-quarterly?


Attachments
partial fix (only poudriere) (1.89 KB, patch)
2016-10-29 16:20 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2016-10-29 16:20:32 UTC
Created attachment 176281 [details]
partial fix (only poudriere)

For regular build failure see bug 213691 comment 12, poudriere fails as following:

  =======================<phase: build-depends  >============================
  ===>   openntpd-6.0p1_2,2 depends on file: /usr/local/lib/libcrypto.so.9 - not found
  ===>   Installing existing package /packages/All/openssl-1.0.2j_1,1.txz
  [101i386-default-job-01] Installing openssl-1.0.2j_1,1...
  [101i386-default-job-01] Extracting openssl-1.0.2j_1,1: .......... done
  Message from openssl-1.0.2j_1,1:
  Copy /usr/local/openssl/openssl.cnf.sample to /usr/local/openssl/openssl.cnf
  and edit it to fit your needs.
  ===>   openntpd-6.0p1_2,2 depends on file: /usr/local/lib/libcrypto.so.9 - found
  ===>   Returning to build of openntpd-6.0p1_2,2

  ===>  libressl-2.4.3 conflicts with installed package(s): 
	openssl-1.0.2j_1,1

	They install files into the same place.
	You may want to stop build with Ctrl + C.
  ===>  License BSD4CLAUSE accepted by the user
  ===>   libressl-2.4.3 depends on file: /usr/local/sbin/pkg - found
  ===> Fetching all distfiles required by libressl-2.4.3 for building

  ===>  libressl-2.4.3 conflicts with installed package(s): 
	openssl-1.0.2j_1,1

	They will not build together.
	Please remove them first with pkg delete.
  *** Error code 1
Comment 1 Jan Beich freebsd_committer 2016-10-30 15:48:53 UTC
Comment on attachment 176281 [details]
partial fix (only poudriere)

ports 424947 landed libressl part. Bernard, can you land security/openssl-devel part as well?

As the comment within says it just applies ports r422717.
Comment 2 commit-hook freebsd_committer 2016-11-02 07:15:41 UTC
A commit references this bug:

Author: jbeich
Date: Wed Nov  2 07:15:09 UTC 2016
New revision: 425117
URL: https://svnweb.freebsd.org/changeset/ports/425117

Log:
  security/openssl-devel: adjust conflicts like r422717 and r424947

  This permits bundling when DEPENDS_TARGET != install e.g.,

    BUILD_DEPENDS += ${NONEXISTENT}:security/openssl-devel:stage

    CPPFLAGS+=		-I${WRKDIR}/openssl-devel/include
    LDFLAGS+=		-L${WRKDIR}/openssl-devel/lib

    pre-configure:
  	@(cd `${MAKE} -V STAGEDIR -C ${PORTSDIR}/security/openssl-devel`${LOCALBASE} \
  	    && ${COPYTREE_SHARE} . ${WRKDIR}/openssl-devel "! -name *.so*")

  PR:		213889
  Approved by:	portmgr blanket

Changes:
  head/security/openssl-devel/Makefile